#!/bin/sh

set -e

##functions.sh##

target="$1"
self="$2"
new=`dirname "$self"`/adduser.conf
flags="$3"

generated="$CCLUB_CONFIG_GENERATED_DIR/adduser.conf"

cp -p "$new" "$generated"
cp -p "${new}.md5sum" "${generated}.md5sum"

get_adduser_configuration

substs=
make_subst() {
    name="$1"
    eval "value=\$CONF_$name"
    substs="$substs -e `quote "s/^\\([ \\t]*${name}=\\).*\$/\\1${value}/"`"
}

if [ -n "$CONF_FIRST_SYSTEM_UID" ] &&
   [ "$CONF_FIRST_SYSTEM_UID" -lt "$CCLUB_DEFAULT_FIRST_SYSTEM_UID" ]; then
    make_subst FIRST_SYSTEM_UID
fi
if [ -n "$CONF_LAST_SYSTEM_UID" ] &&
   [ "$CONF_LAST_SYSTEM_UID" -gt "$CCLUB_DEFAULT_LAST_SYSTEM_UID" -a \
     "$CONF_LAST_SYSTEM_UID" -lt 599 ]; then
    make_subst LAST_SYSTEM_UID
fi
if [ -n "$CONF_FIRST_SYSTEM_GID" ] &&
   [ "$CONF_FIRST_SYSTEM_GID" -lt "$CCLUB_DEFAULT_FIRST_SYSTEM_GID" ]; then
    make_subst FIRST_SYSTEM_GID
fi
if [ -n "$CONF_LAST_SYSTEM_GID" ] &&
   [ "$CONF_LAST_SYSTEM_GID" -gt "$CCLUB_DEFAULT_LAST_SYSTEM_GID" -a \
     "$CONF_LAST_SYSTEM_GID" -lt 599 ]; then
    make_subst LAST_SYSTEM_GID
fi

if [ -n "$substs" ]; then
    eval "sed -i $substs `quote "$generated"`"
fi


configure_via_copy "$target" "$generated" "$flags"
